=== debian/changelog ===
xtpcpp (0.4.9-1) unstable; urgency=low

  * First package to be uploaded to NEW.

  * Some additions by Filippo Rusconi, like d/u/metadata or d/s/format.

  * Standards-Version: 4.5.0, no changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 06 Nov 2020 12:21:05 +0100

xtpcpp (0.4.8-1) buster; urgency=medium

  * fix for issues masschroqml, ptm island view

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 02 Nov 2020 11:10:53 +0100

xtpcpp (0.4.7-1) buster; urgency=medium

  * deep refactoring concerning msrun statistics

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 15 Oct 2020 16:48:37 +0200

xtpcpp (0.4.6-1) buster; urgency=medium

  * mfg support for timsdata temporarily removed
  * more checks tandemwrapper run

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 09 Oct 2020 16:07:27 +0200

xtpcpp (0.4.5-1) buster; urgency=medium

  * alginment GUI stuff
  * timstof support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 08 Oct 2020 11:35:20 +0200

xtpcpp (0.4.4-6) buster; urgency=medium

  * new fix for issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 01 Oct 2020 10:07:36 +0200

xtpcpp (0.4.4-5) buster; urgency=medium

  * new point mutation notation feature fix #32

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 29 Sep 2020 16:24:05 +0200

xtpcpp (0.4.4-4) buster; urgency=medium

  * fix for issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 28 Sep 2020 10:20:55 +0200

xtpcpp (0.4.4-3) buster; urgency=medium

  * new package to fix issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 16:05:03 +0200

xtpcpp (0.4.4-2) buster; urgency=medium

  * new package to fix issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 15:20:04 +0200

xtpcpp (0.4.4-1) buster; urgency=medium

  * maximum number of file reached, test for issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 13:21:31 +0200

xtpcpp (0.4.3-1) buster; urgency=medium

  * fix for issue #28 : new column in PTM tables and exports to count spectra bearing modifications

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 Sep 2020 10:55:19 +0200

xtpcpp (0.4.2-1) buster; urgency=medium

  * fix for issue #26 : bug in compar specific unique sequence sheet

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Sep 2020 09:14:53 +0200

xtpcpp (0.4.1-1) buster; urgency=medium

  * better PTM support
  * no tims preset required
  * boost not needed
  * loss of mzIdentML support
  * export chemical formula in masschroqML output

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 22 Jul 2020 16:53:04 +0200

xtpcpp (0.4.0-2) buster; urgency=medium

  * display all digits of XIC areas

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 08 Jun 2020 17:59:22 +0200

xtpcpp (0.4.0-1) buster; urgency=medium

  * fixed issue #23

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 29 May 2020 16:58:10 +0200

xtpcpp (0.3.9-2) buster; urgency=medium

  * fix issue #22
  * no more dependency with libpwiz and libboost

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 28 May 2020 09:46:44 +0200

xtpcpp (0.3.9-1) buster; urgency=medium

  * lots of improvements made by Thomas Renne

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 May 2020 16:25:15 +0200

xtpcpp (0.3.8-1) unreleased; urgency=low

  * New upstream version. Packaging tweaks.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 May 2020 11:37:03 +0200

xtpcpp (0.3.7-3) buster; urgency=medium

  * no console in windows version
  * pseudo centroid for tandem wrapper

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 20 Apr 2020 08:31:29 +0200

xtpcpp (0.3.7-2) buster; urgency=medium

  * important fix in lib PAPPSOms++

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 12 Apr 2020 17:14:51 +0200

xtpcpp (0.3.7-1) buster; urgency=medium

  * allow column move (peptide list, protein list, ptm list, ptm peptide list)
  * edition of centroid parameters in tandem settings for tims tof reader
  * defining alignment groups
  * cross compilation with MXE

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Apr 2020 22:05:08 +0200

xtpcpp (0.3.6-1) buster; urgency=medium

  * timstof support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 04 Mar 2020 16:59:21 +0100

xtpcpp (0.3.5-1ubuntu1) bionic; urgency=medium

  * tandem error messages

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 10 Feb 2020 10:58:19 +0100

xtpcpp (0.3.4-1) buster; urgency=medium

  * several issues fixed by Thomas Renne
  * mascot dat parser work

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 29 Jan 2020 10:22:48 +0100

xtpcpp (0.3.3-1) buster; urgency=medium

  * new spreadsheet output for PSMs

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Jan 2020 10:33:42 +0100

xtpcpp (0.3.2-2ubuntu1) bionic; urgency=medium

  * ubuntu 18.04 package 

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Jan 2020 22:39:39 +0000

xtpcpp (0.3.2-2) buster; urgency=medium

  * new pappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Jan 2020 22:22:40 +0100

xtpcpp (0.3.2-1) buster; urgency=medium

  * better ms run identification view
  * prapagation of the project name

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 06 Jan 2020 11:26:14 +0100

xtpcpp (0.3.1-3) buster; urgency=medium

  * bunch of little bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 20 Dec 2019 14:21:34 +0100

xtpcpp (0.3.1-2) buster; urgency=medium

  * merge of latest changes from forge mia

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Dec 2019 22:34:59 +0100

xtpcpp (0.3.1-1) buster; urgency=medium

  * new features coded by Thomas Renne
  * new msrun list windows
  * instant msrun statistics
  * many GUI  fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Dec 2019 22:26:05 +0100

xtpcpp (0.2.40-2) buster; urgency=medium


