=== debian/control ===
Source: xtpcpp
Section: science
Priority: optional
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.18.25),
 cmake (>= 3.12),
 qtbase5-dev,
 libpappsomspp-dev (>= 0.8.8),
 libpappsomspp-widget-dev (>= 0.8.8),
 libodsstream-dev,
 libalglib-dev,
 libzstd-dev (>= 1.3.3),
 libqt5svg5-dev,
 libqcustomplot-dev,
 docbook-to-man,
 doxygen
Standards-Version: 4.5.0
Homepage: http://pappso.inra.fr/bioinfo

Package: xtpcpp
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ version of X!TandemPipeline
 The program allows one to perform the following tasks:
  -Reads X!Tandem xml results files
  -Reads MASCOT dat results files
  -Reads TPP pepXML results files
  -Reads PSI mzIdentML results files
  -Run X!Tandem analyzes through a graphical user interface
  -Implements various filters based on statistical values
  -Powerful original grouping algorithm to filter redundancy
  -Phosphopeptide mode to handle phosphoproteomics datasets
  -Edit, search and sort the data graphically
  -XIC chromatogram browser (eXtracted Ion Current)
  -Comparisons of theoretical isotope patterns to measured MS1 XIC areas
  -Export data directly to Microsoft Office 2010 and LibreOffice (ods export)
  -Handle huge datasets very quickly
  -Perform peptide quantification through MassChroQml export
