## xtpcpp 0.4.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,11 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
 PROJECT(xtpcpp CXX)
 
+set(XTPCPP_VERSION_MAJOR "0")
+set(XTPCPP_VERSION_MINOR "4")
+set(XTPCPP_VERSION_PATCH "16")
+set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
+set(VERSION 0.4.16)
 
 # Add folder where are supportive functions
 set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
@@ -127,19 +132,13 @@
 message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
 
 #depending on libpappsomspp version :
-set(LIBPAPPSOMSPP_VERSION "0.8.8")
+set(LIBPAPPSOMSPP_VERSION "0.8.13")
 configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control  @ONLY)
 
 
 set(SOFTWARE_NAME "X!TandemPipeline")
 
-set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM}")
-
-set(XTPCPP_VERSION_MAJOR "0")
-set(XTPCPP_VERSION_MINOR "4")
-set(XTPCPP_VERSION_PATCH "9")
-set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
-set(VERSION 0.4.9)
+set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
 # standard install location
@@ -244,7 +243,7 @@
 #This creates deb packages:
 
 	add_custom_target(targz
-		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz
+		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz && ln -s ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz ${CPACK_PACKAGE_NAME}_${XTPCPP_VERSION}.orig.tar.gz
 		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
 		COMMENT "Creating .tar.gz" VERBATIM
 	)
