=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,8 @@
 # File list
 set(CPP_FILES
   core/automaticfilterparameters.cpp
+  core/condor_process/condorprocess.cpp
+  core/condor_process/condorqxmlsaxhandler.cpp
   core/identificationgroup.cpp
   core/identification_sources/identificationdatasource.cpp
   core/identification_sources/identificationmascotdatfile.cpp
@@ -50,6 +52,8 @@
   core/identification_sources/identificationxtandemfile.cpp
   core/labeling/label.cpp
   core/labeling/labelingmethod.cpp
+  core/masschroq_run/masschroqbatchprocess.cpp
+  core/masschroq_run/masschroqcondorprocess.cpp
   core/qvalue/computeqvalues.cpp
   core/tandem_run/tandembatchprocess.cpp
   core/tandem_run/tandemcondorprocess.cpp
@@ -79,7 +83,6 @@
   grouping/ptm/ptmsamplescan.cpp
   input/mascot/mascotdatparser.cpp
   input/mascot/mimeparser.cpp
-  input/condorqxmlsaxhandler.cpp
 #  input/identificationpwizreader.cpp
   input/pepxmlsaxhandler.cpp
   input/xpipsaxhandler.cpp
@@ -88,6 +91,8 @@
   input/xtpxpipsaxhandler.cpp
   output/mcqr/mcqrscprotein.cpp
   output/mcqr/mcqrscpeptide.cpp
+  output/ods/mass_delta/validmassdeltasheet.cpp
+  output/ods/mass_delta/notvalidmassdeltasheet.cpp
   output/ods/ptm/ptmislandsheet.cpp
   output/ods/ptm/ptmspectrasheet.cpp
   output/ods/comparbasesheet.cpp
@@ -135,8 +140,6 @@
   ./gui/edit/edit_modifications/editmodifications.cpp
   ./gui/edit/edit_settings/editsettings.cpp
   ./gui/edit/edit_tandem_preset_dialog/edittandempresetdialog.cpp
-  ./gui/export/export_masschroq_dialog/exportmasschroqdialog.cpp
-  ./gui/export/export_masschroq_dialog/masschroqfileparameters.cpp
   ./gui/export/export_spreadsheet_dialog/exportspreadsheetdialog.cpp
   ./gui/load_results_dialog/loadresultsdialog.cpp
   ./gui/lists/ms_identification_run_list_view/msidentificationlistwindow.cpp
@@ -144,6 +147,8 @@
   ./gui/lists/ms_identification_run_list_view/msidentificationtableproxymodel.cpp
   ./gui/lists/ms_identification_run_list_view/ms_identification_worker/msidlistworkerstatus.cpp
   ./gui/lists/ms_identification_run_list_view/engine_detail_view/enginedetailwindow.cpp
+  ./gui/masschroq_run_dialog/masschroqrundialog.cpp
+  ./gui/masschroq_run_dialog/masschroqfileparameters.cpp
   ./gui/mainwindow.cpp
   ./gui/peptide_detail_view/peptidewindow.cpp
   ./gui/peptide_list_view/peptidelistwindow.cpp
@@ -189,11 +194,11 @@
   ./gui/edit/edit_modifications/edit_modifications.ui
   ./gui/edit/edit_settings/edit_settings.ui
   ./gui/edit/edit_tandem_preset_dialog/edit_tandem_preset_dialog.ui
-  ./gui/export/export_masschroq_dialog/export_masschroq_dialog.ui
   ./gui/export/export_spreadsheet_dialog/export_spreadsheet_dialog.ui
   ./gui/lists/ms_identification_run_list_view/ms_identification_run_view.ui
   ./gui/lists/ms_identification_run_list_view/engine_detail_view/engine_detail_view.ui
   ./gui/load_results_dialog/load_results_dialog.ui
+  ./gui/masschroq_run_dialog/masschroq_run_dialog.ui
   ./gui/main.ui
   ./gui/peptide_detail_view/peptide_detail_view.ui
   ./gui/peptide_list_view/peptide_view.ui
@@ -250,8 +255,6 @@
     Qt5::Sql
     Qt5::Concurrent
     ZLIB::ZLIB
-    Alglib::Alglib
-    Zstd::Zstd
     ${QCustomPlot_LIBRARIES}
     ${Quazip5_LIBRARY}
 )
