=== debian/changelog ===
xtpcpp (0.4.16-1) unstable; urgency=low

  * New version that requires libpappsomspp 0.8.13.

  * Fix bug #976512 (Closes: #976512). Thanks to Lucas Nussbaum
    <lucas@debian.org> for the report.

  * Fix bug reported by Vagrant Cascadian <vagrant@reproducible-builds.org>.
    Thanks for the report! (Closes: #976071).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 08 Dec 2020 20:48:29 +0100

xtpcpp (0.4.15-1) buster; urgency=medium

  * little fix concerning masschroq binary file path

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 24 Nov 2020 16:32:12 +0100

xtpcpp (0.4.14-1) buster; urgency=medium

  * fix for issue #38

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Nov 2020 10:10:18 +0100

xtpcpp (0.4.13-1) buster; urgency=medium

  * fixed issue #37

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Nov 2020 09:16:34 +0100

xtpcpp (0.4.12-1) buster; urgency=medium

  * new features added by Thomas Renne

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 18 Nov 2020 16:21:03 +0100

xtpcpp (0.4.11-1) buster; urgency=medium

  * new tandemrun wrapper

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 18 Nov 2020 14:15:58 +0100

xtpcpp (0.4.10-1) buster; urgency=medium

  * new CondorProcess API
  
  * new MassChroQ GUI to execute MassChroQ

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 17 Nov 2020 14:22:16 +0100

xtpcpp (0.4.9-2) UNRELEASED; urgency=low

  * Changed the maintainer to debichem team as the code is now
    in https://salsa.debian.org/debichem-team/xtpcpp.

  * Add Thomas Renne as Copyright holder for GPL3+ code in 2019,2020.

  * Add the corresponding VCS fields (see above).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 09 Nov 2020 20:55:49 +0100
