=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: optional
 Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
  dpkg-dev (>= 1.18.25),
  cmake (>= 3.12),
  qtbase5-dev,
- libpappsomspp-dev (>= 0.8.8),
- libpappsomspp-widget-dev (>= 0.8.8),
+ libpappsomspp-dev (>= 0.8.13),
+ libpappsomspp-widget-dev (>= 0.8.13),
  libodsstream-dev,
- libalglib-dev,
- libzstd-dev (>= 1.3.3),
  libqt5svg5-dev,
  libqcustomplot-dev,
  docbook-to-man,
