## xtpcpp 0.4.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 set(XTPCPP_VERSION_MAJOR "0")
 set(XTPCPP_VERSION_MINOR "4")
-set(XTPCPP_VERSION_PATCH "16")
+set(XTPCPP_VERSION_PATCH "18")
 set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
-set(VERSION 0.4.16)
+set(VERSION 0.4.18)
 
 # Add folder where are supportive functions
 set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
