=== src/CMakeLists.txt ===
--- 
+++ 
@@ -111,6 +111,7 @@
   output/ods/spectrasheet.cpp
   output/ods/spectrasheetall.cpp
   output/ods/xicareasheet.cpp
+  output/ods/xicinfosheet.cpp
   output/exportfastafile.cpp
   output/masschroqml.cpp
   output/masschroqprm.cpp
@@ -180,6 +181,7 @@
   ./gui/xic_view/xic_box/xicbox.cpp
   ./gui/xic_view/xic_widgets/zivydialog.cpp
   ./gui/xic_view/xic_widgets/zivywidget.cpp
+  ./gui/xic_view/xic_widgets/xicexportparam.cpp
   ./gui/xic_view/xicwindow.cpp
   ./gui/xic_view/xicworkerthread.cpp
   ./gui/workerthread.cpp
@@ -217,6 +219,7 @@
   ./gui/widgets/decoy_widget/decoy_widget.ui
   ./gui/xic_view/xic_box/xic_box.ui
   ./gui/xic_view/xic_widgets/zivy_widget.ui
+  ./gui/xic_view/xic_widgets/xic_export_param.ui
   ./gui/xic_view/xic_window.ui
 )
