=== debian/changelog ===
xtpcpp (0.4.18-1) unstable; urgency=low

  * New upstream version fixing a number of upstream-reported bugs.
  * Now depends on libpappsomspp 0.8.15.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Jan 2021 15:48:09 +0100

xtpcpp (0.4.17-1~buster1) buster; urgency=medium

  * buster package
  * bunch of fixed issues #27 #40 #41 #42 (XIC data file export, better xtandem preset ui, 
    mgf batch, masschroq parameter alignment files fixed)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 10 Dec 2020 14:45:20 +0100
