=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: xtpcpp
 Section: science
 Priority: optional
-Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
+Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dpkg-dev (>= 1.18.25),
  cmake (>= 3.12),
  qtbase5-dev,
- libpappsomspp-dev (>= 0.8.13),
- libpappsomspp-widget-dev (>= 0.8.13),
+ libpappsomspp-dev (>= 0.8.15),
+ libpappsomspp-widget-dev (>= 0.8.15),
  libodsstream-dev,
  libqt5svg5-dev,
  libqcustomplot-dev,
